/*
 * Class BOUNDED [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_778 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_778 [] = {0xFF01,237,777,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_778 [] = {0xFF01,777,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_778 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_778 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_778 [] = {0xFF01,777,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_778 [] = {0xFF01,777,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_778 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_778 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_778 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_778 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_778 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_778 [] = {777,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_778 [] = {0xFF01,777,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_778 [] = {0xFF01,758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_778 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_778[] = {
	{EIF_GENERIC(NULL), 2092, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_778), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_778), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_778), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_778), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_778), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_778), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_778), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_778), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_778), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_778), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_778), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_778), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_778), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_778), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1916, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1918, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_778), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_778), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2091, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init778(void)
{
	IDSC(desc_778, 0, 777);
	IDSC(desc_778 + 1, 1, 777);
	IDSC(desc_778 + 32, 77, 777);
	IDSC(desc_778 + 41, 103, 777);
	IDSC(desc_778 + 43, 35, 777);
	IDSC(desc_778 + 44, 50, 777);
}


#ifdef __cplusplus
}
#endif
